Renta Docs

Tenant API

Read and update the tenant profile — identity, contact details, and subscription information.

The Tenant API provides access to your tenant's profile, including identity, contact information, branding, and subscription details.

All tenant endpoints require a secret key (renta_sk_). Publishable keys will receive a 403 Forbidden error.

Get Tenant Profile

GET /v1/tenant

Returns the full tenant profile.

const tenant = await renta.tenant.get();
console.log(tenant.name);
console.log(tenant.subscription_tier);
curl https://api.getrenta.io/v1/tenant \
  -H "Authorization: Bearer renta_sk_live_..."

Response:

{
  "id": "tn_abc123",
  "slug": "mountain-bike-rentals",
  "name": "Mountain Bike Rentals",
  "email": "info@mtbrentals.com",
  "phone": "+1-555-0100",
  "address_line1": "123 Trail Road",
  "address_line2": "Suite 4",
  "city": "Moab",
  "state": "UT",
  "zip": "84532",
  "brand_settings": {
    "primary_color": "#2563eb",
    "logo_url": "https://storage.getrenta.io/..."
  },
  "subscription_tier": "pro",
  "created_at": "2026-01-15T10:00:00Z",
  "updated_at": "2026-03-20T14:30:00Z"
}

Update Tenant Profile

PATCH /v1/tenant

Update tenant profile fields. Only the fields you include will be changed. Returns the updated tenant profile.

Body Parameters:

ParameterTypeRequiredDescription
namestringBusiness display name
slugstringURL-friendly identifier
emailstringContact email
phonestringContact phone number
address_line1stringStreet address line 1
address_line2stringStreet address line 2
citystringCity
statestringState / province
zipstringZIP / postal code
brand_settingsobjectBranding configuration (colors, logo, etc.)
const updated = await renta.tenant.update({
  name: 'Mountain Bike Rentals LLC',
  email: 'hello@mtbrentals.com',
});
console.log(updated.updated_at);
curl -X PATCH https://api.getrenta.io/v1/tenant \
  -H "Authorization: Bearer renta_sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Mountain Bike Rentals LLC",
    "email": "hello@mtbrentals.com"
  }'

Response:

{
  "id": "tn_abc123",
  "slug": "mountain-bike-rentals",
  "name": "Mountain Bike Rentals LLC",
  "email": "hello@mtbrentals.com",
  "phone": "+1-555-0100",
  "address_line1": "123 Trail Road",
  "address_line2": "Suite 4",
  "city": "Moab",
  "state": "UT",
  "zip": "84532",
  "brand_settings": {
    "primary_color": "#2563eb",
    "logo_url": "https://storage.getrenta.io/..."
  },
  "subscription_tier": "pro",
  "created_at": "2026-01-15T10:00:00Z",
  "updated_at": "2026-04-07T21:00:00Z"
}